Subject: Re: bug#43513: json-c build failure (on armhf-linux) while trying to build u-boot

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 21 Sep 2020 14:44:41 +0200

> to have 64 bit offsets or 32 bit offsets[1].  Right now, from user space, that
> is only possible via process personality flags.

Or via CONFIG_X86_X32, which exposes extra syscalls ON x86_64 ONLY.

I guess that would be better than nothing--although glibc would have to look
seriously strange to use those:  Even on ARM, it would have to try this syscall
first, and then the normal one.  I don't think that that is reasonable to add
to glibc.